Subject: Re: [bitcoin-dev] RFC - BIP: URI scheme for Blockchain exploration

From: Jorge Timón <[email-masked]>
Date: Sun, 15 Nov 2015 12:42:33 +0100

Thank you for incorporating the feedback, specifically thank you for
using the genesis block hash as the unique chain ID.

I wen't through the BIP draft and left a few of comments, but I really
like its simplicity and focus. Good work!

On Sun, Nov 15, 2015 at 3:14 AM, Marco Pontello via bitcoin-dev
<[email-masked]> wrote:
> Hi!
>
> To anyone that followed the discussion (from some time ago) about the
> proposed new URI for Blockchain references / exploration, I just wanted to
> point out that I have collected the feedback provided, reworked the text,
> put the BIP on GitHub and created a pull request:
>
> https://github.com/MarcoPon/bips/blob/master/bip-MarcoPon-01.mediawiki
> https://github.com/bitcoin/bips/pull/202
>
> The need for an URI for this come to mind again in the last days looking at
> Eternity Wall, which IMHO provide a use case that we will see more and more
> in the (near) future: http://eternitywall.it/
> Using that service, when you want to check for the proof that a specific
> message was written in the Blockchain, it let you choose from 5 different
> explorer.
> Mycelium wallet recently added the option to select one of 15 block
> explorers.
> And there's the crypto_bot on reddit/r/bitcoin that detect reference to
> transaction an add a message with links to 7 different explorers.
>
> I think that's clearly something that's needed.
>
> Bye!
>
>
> On Sat, Aug 29, 2015 at 1:48 PM, Marco Pontello <[email-masked]> wrote:
>>
>> Hi!
>> My first post here, hope I'm following the right conventions.
>> I had this humble idea for a while, so I thought to go ahead and propose
>> it.
>>
>> BIP: XX
>> Title: URI scheme for Blockchain exploration
>> Author: Marco Pontello
>> Status: Draft
>> Type: Standards Track
>> Created: 29 August 2015
>>
>> Abstract
>> ========
>> This BIP propose a simple URI scheme for looking up blocks, transactions,
>> addresses on a Blockchain explorer.
>>
>> Motivation
>> ==========
>> The purpose of this URI scheme is to enable users to handle all the
>> requests for details about blocks, transactions, etc. with their preferred
>> tool (being that a web service or a local application).
>>
>> Currently a Bitcoin client usually point to an arbitrary blockchain
>> explorer when the user look for the details of a transaction (es. Bitcoin
>> Wallet use BitEasy, Mycelium or Electrum use Blockchain.info, etc.).
>> Other times resorting to cut&paste is needed.
>> The same happens with posts and messages that reference some particular
>> txs or blocks, if they provide links at all.
>>
>> Specification
>> =============
>> The URI follow this simple form:
>>
>> blockchain: <hash/string>
>>
>> Examples:
>>
>>
>> blockchain:00000000000000001003e880d500968d51157f210c632e08a652af3576600198
>> blockchain:001949
>>
>> blockchain:3b95a766d7a99b87188d6875c8484cb2b310b78459b7816d4dfc3f0f7e04281a
>>
>> Rationale
>> =========
>> I thought about using some more complex scheme, or adding qualifiers to
>> distinguish blocks from txs, but in the end I think that keeping it simple
>> should be practical enough. Blockchain explorers can apply the same
>> disambiguation rules they are already using to process the usual search
>> box.
>>
>> From the point of view of a wallet developer (or other tool that need to
>> show any kind of Blockchain references), using this scheme mean that he
>> can simply make it a blockchain: link and be done with it, without having
>> to worry about any specific Blockchain explorer or provide a means for the
>> user to select one.
>>
>> Blockchain explorers in turn will simply offer to handle the blockchain:
>> URI, the first time the user visit their website, or launch/install the
>> application, or even set themselves if there isn't already one.
>>
>> Users get the convenience of using always their preferred explorer, which
>> can be especially handy on mobile devices, where juggling with cut&paste
>> is far from ideal.
>>
>>
>
>
>
> --
> Try the Online TrID File Identifier
> http://mark0.net/onlinetrid.aspx
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>